Update a delivery's order status (reserved for future use)

PUT <baseURL>/deliveries/{deliveryId}/orderStatus

This request is reserved for future use.

The update a delivery's status request updates the status of an order.

Use this request to change the order's or delivery's status.

Example

This request specifies the delivery status deliveryId of 4e9cf4d5-be96-4b30-a76e-073b5f912345 for clientId of 2 to be changed to READY_FOR_PICKUP.

PUT {baseURL}/deliveries/4e9cf4d5-be96-4b30-a76e-073b5f912345/orderStatus

Request body:

{ "deliveries": { "clientId": "49304", "externalOrderID": "10208877499-208925547882099", "orderStatus": "READY FOR PICKUP" }
}

Response body:

{ "deliveries": { "externalOrderId": "10208877499-208925547882099", "deliveryId": "4e9cf4d5-be96-4b30-a76e-073b5f912345" }
}

See Also

To change details about the delivery information, see PUT /deliveries/{deliveryId)/update

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
uuid
required
length between 36 and 36

Specifies the deliver identifier.

The deliveryId is generated by Walmart GoLocal at the time the delivery order is created.
It is associated with an order, either by OrderId or externalOrderId.

Example: 6c34ee66-dd03-42a0-8aa1-ddddeb012345

Body Params

Specifies the order's new status

Specifies an object for the delivery information.

deliveries
object
required

Specifies an object for the delivery information.

Headers
string
required

Specifies the literal value for Bearer <authenticationToken>.

The authenticationToken is an access token representing a user’s valid authorization and authentication permissions.
See Authentication for additional information.

Example: Bearer eyJraWQiOiI1N…yLTQ4MjctOGUz

uuid
required
length between 36 and 36

Specifies the value for <consumer_id>.

This is the Client Consumer ID for the OAuth2 client credentials.
See the Walmart Client Center's Walmart administrator, client administrator, or development management for this value.

Example: 685f74bf-b8ca-447d-8338-966di751443f

uuid
length between 36 and 36

Specifies the request log identifier.

This optional header can be any value.
Walmart GoLocal uses this value to log requests and error situations.

Examples:

2398

685f74bf-b8ca-447d-8338-966dd751445f

Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json